MCP Tools Reference: paydeveloper.googleapis.com

工具:update_merchant

更新现有商家的特定字段。支持的字段包括 display_name、mcc、corporate_website_url、customer_support_website_url、customer_support_email 和 customer_support_phone。

以下代码示例展示了如何使用 curl 调用 update_merchant MCP 工具。

Curl 请求
curl --location 'https://paydeveloper.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "update_merchant",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

输入架构

UpdateMerchant 的请求消息。

UpdateMerchantFacadeRequest

JSON 表示法
{
  "merchantId": string,

  // Union field _display_name can be only one of the following:
  "displayName": string
  // End of list of possible types for union field _display_name.

  // Union field _mcc can be only one of the following:
  "mcc": enum (Mcc)
  // End of list of possible types for union field _mcc.

  // Union field _corporate_website_url can be only one of the following:
  "corporateWebsiteUrl": string
  // End of list of possible types for union field _corporate_website_url.

  // Union field _customer_support_website_url can be only one of the following:
  "customerSupportWebsiteUrl": string
  // End of list of possible types for union field _customer_support_website_url.

  // Union field _customer_support_email can be only one of the following:
  "customerSupportEmail": string
  // End of list of possible types for union field _customer_support_email.

  // Union field _customer_support_phone can be only one of the following:
  "customerSupportPhone": string
  // End of list of possible types for union field _customer_support_phone.
}
字段
merchantId

string

必需。要更新的商家的商家 ID。

联合字段 _display_name

_display_name 只能是下列其中一项:

displayName

string

商家的显示名。

联合字段 _mcc

_mcc 只能是下列其中一项:

mcc

enum (Mcc)

商家的 MCC(商家类别代码)。

联合字段 _corporate_website_url

_corporate_website_url 只能是下列其中一项:

corporateWebsiteUrl

string

商家的企业网站。

联合字段 _customer_support_website_url

_customer_support_website_url 只能是下列其中一项:

customerSupportWebsiteUrl

string

商家的客户支持网站。

联合字段 _customer_support_email

_customer_support_email 只能是下列其中一项:

customerSupportEmail

string

商家的客户支持电子邮件地址。

联合字段 _customer_support_phone

_customer_support_phone 只能是下列其中一项:

customerSupportPhone

string

商家的客户支持电话号码。

Mcc

商家的商家类别代码 (MCC)。

枚举
OTHERS 其他
MISC_FOOD_STORES 其他食品店 - 便利店和特色市场
MISC_APPAREL 其他服装和配件店
ARTISTS_SUPPLY 艺术用品店和工艺品店
AUTOMOTIVE_PARTS 汽车零配件店
HEALTH_AND_BEAUTY 美容养生用品店
BOOKS_PERIODICALS 图书、期刊和报纸
CAMERA_STORES 相机和摄影器材店
COMPUTERS_EQUIPMENT 计算机、计算机外围设备、软件
COMPUTER_SOFTWARE 计算机软件店
ELECTRONICS_SALES 电子产品销售
GIFT_SHOPS 贺卡专卖店、礼品店、新奇商品店和纪念品店
EATING_PLACES 餐饮场所和饭馆
MISC_GENERAL_MERCHANDISE 其他日用品
HOME_SUPPLY 家居用品仓储式超市
COMPUTER_NETWORK_SERVICES 计算机网络服务
DIGITAL_GOODS_MEDIA 数字商品:图书、影片、音乐
DIGITAL_GOODS_GAMES 数字商品:游戏
DIGITAL_GOODS_APPLICATIONS 数字商品:应用(不包括游戏)
POLITICAL_ORGANIZATIONS 政治组织
CHARITABLE_ORGANIZATIONS 慈善组织和社会服务组织
DRUG_STORES 药店和药房
REAL_ESTATE_RENTALS 房地产代理商和管理公司 - 租赁
MISC_PERSONAL_SERVICES 其他个人服务,未分类
SPORTING_GOODS 体育用品店
STATIONERY_OFFICE_SUPPLIES 文具、办公用品、印刷和书写纸
THEATRICAL_TICKET_AGENCIES 剧场票务公司
TIMESHARES 分时度假
TOURIST_ATTRACTIONS 旅游景点和展览
HOBBY_TOY_GAME_SHOPS 爱好、玩具和游戏店
PET_SHOPS 宠物店、宠物食品和用品店
OTHER_LODGING 其他住宿服务 - 酒店、汽车旅馆、度假村
TELECOMMUNICATION_SERVICES 电信服务
TRANSPORTATION_SERVICES 交通服务
OTHER_AIRLINES 其他航空公司
TRAVEL_AGENCIES 旅行社和旅游组织者
GOVERNMENT_OWNED_LOTTERIES_US 政府拥有的彩票(仅限美国地区)
GOVERNMENT_LICENSED_CASINOS_US 政府许可的在线赌场(在线赌博)(仅限美国地区)
BETTING 博彩(包括彩票、赌场游戏筹码、场外投注和赌注)
GOVERNMENT_OWNED_LOTTERIES_NON_US 政府拥有的彩票(非美国地区)

输出架构

UpdateMerchant 的响应消息。

UpdateMerchantResponse

JSON 表示法
{
  "state": enum (State)
}
字段
state

enum (State)

已更新商家的状态。

State

商家的状态。

枚举
STATE_UNSPECIFIED 商家状态未指定。
VERIFIED 商家已通过验证和批准。
IN_REVIEW 商家资料修改正在审核中。
REJECTED 商家资料修改被拒。
INCOMPLETE_SIGNUP 商家资料不完整。
SANCTIONS_HIT 商家资料违反制裁规定。
READY_FOR_REVIEW 商家资料完整,可以进行审核。
DISABLED 商家资料已停用/无效。

工具注释

工具注释会发送给 MCP 客户端,用于描述给定工具的基本风险。大多数客户端会将这些提示视为不受信任,但它们可用于确定何时向用户发送确认提示。

除了标题字符串之外,以下布尔提示的定义如下:

  • readOnlyHint:如果为 true,则该工具不会修改其环境。默认值:false。
  • destructiveHint:如果为 true,则该工具可以执行破坏性操作。如果为 false,则该工具只能执行添加操作。默认值:true。
  • idempotentHint:如果为 true,则使用相同的参数重复调用该工具不会对其环境产生额外影响。默认值:false。
  • openWorldHint:如果为 true,则该工具可以与外部实体的“开放世界”互动。如果为 false,则该工具只能与内部实体互动。例如,网络搜索工具属于开放世界,而内存工具则不属于开放世界。

破坏性提示:❌ | 等幂性提示:✅ | 只读提示:❌ | 开放世界提示:❌